Skip to main content
POST
/
api
/
cloud-integrations
/
s3-storage-transfer
Create S3 Storage Transfer integration
curl --request POST \
  --url https://api-prod.nomadicml.com/api/cloud-integrations/s3-storage-transfer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "bucket": "<string>",
  "role_arn": "<string>",
  "type": "s3_storage_transfer",
  "prefix": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "type": "gcs",
  "bucket": "<string>",
  "prefix": "<string>",
  "region": "<string>",
  "endpoint_url": "<string>",
  "role_arn": "<string>",
  "created_at": "<string>",
  "last_used": "<string>",
  "is_owner": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Body

application/json
name
string
required
bucket
string
required
role_arn
string
required
type
string
default:s3_storage_transfer
prefix
string

Response

Successful response.

id
string
name
string
type
enum<string>
Available options:
gcs,
s3,
hf_bucket,
s3_storage_transfer
bucket
string
prefix
string
region
string
endpoint_url
string
role_arn
string
created_at
string
last_used
string
is_owner
boolean